from django.contrib import admin
import right_tree.api.models as models


class ZoneAdmin(admin.ModelAdmin):
    ordering = ['name', 'variant', 'refined_variant', 'id']
    search_fields = ['name', 'habitat__name', 'variant', 'refined_variant', 'id']


admin.site.register(models.Plant)
admin.site.register(models.SoilOrder)
admin.site.register(models.SoilLayer)
admin.site.register(models.SoilVariant)
admin.site.register(models.EcologicalRegion)
admin.site.register(models.EcologicalDistrictLayer)
admin.site.register(models.ToleranceLevel)
admin.site.register(models.HabitatImage)
admin.site.register(models.Habitat)
admin.site.register(models.Zone, ZoneAdmin)
admin.site.register(models.ChristchurchRegion)
